#!/usr/bin/env groovy

pipeline {
    agent any
    tools {
        nodejs 'my-nodejs'
    }
    stages {
        stage("build tar"){
        steps{
            script{
                echo " building the application..."
                sh 'npm install'
                sh ' tar czf'

            }
        }
        }
        stage('build image') {
            steps {
                script {
                    echo "Building the application..."
                    withCredentials([usernamePassword(credentialsId: 'docker-hub-repo', passwordVariable: 'PASS', usernameVariable: 'USER')]) {  
                 sh 'docker build -t veerushiva/myrep:jma-2.0 .'
                 sh "echo $PASS |docker login -u $USER --password-stdin "
                 sh ' docker push veerushiva/myrep:jma-2.0'
                 }
                }
            }
        }
        
        stage('deploy') {
            steps {
                script {
                    echo "Deploying the application..."
                }
            }
        }
    }
}
